	

    void main (string [] args)
    {
            Gtk.init (ref args);
     
            var screen = Wnck.Screen.get_default ();
            screen.force_update ();
            var workspace = screen.get_active_workspace ();
     
            var unminimize = true;
            foreach (var window in screen.get_windows ()) {
                    if (window.get_workspace () == workspace &&
                            (window.get_window_type () == Wnck.WindowType.NORMAL ||
                            window.get_window_type () == Wnck.WindowType.DIALOG) &&
                            !window.is_minimized ()) {
                            unminimize = false;
                    }
            }
     
            foreach (var window in screen.get_windows ()) {
                    if (window.get_workspace () == workspace &&
                            (window.get_window_type () == Wnck.WindowType.NORMAL ||
                            window.get_window_type () == Wnck.WindowType.DIALOG)) {
                            if (unminimize)
                                    window.unminimize (0);
                            else
                                    window.minimize ();
                    }
            }
    }

